Bug 2612 - mc fails to open rpm with ustar payload
: mc fails to open rpm with ustar payload
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 14:59 MSD by Denis Silakov
Modified: 2013-09-13 13:00 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
danila.leontiev: secteam_verified+
alex.burmashev: published+


Attachments
rpm with ustar payload (41.67 KB, application/x-rpm)
2013-08-29 14:59 MSD, Denis Silakov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-08-29 14:59:07 MSD
Created attachment 1863 [details]
rpm with ustar payload

mc currently segfaults when trying to open rpm package with tar archive inside (instead of cpio).

For example, try to "enter" to the package attached to this bug.
Comment 1 Denis Silakov 2013-08-29 15:25:14 MSD
Advisory:

Added support for rpm packages with ustar payload to mc.

Now if you "enter" inside rpm with ustar payload, you should see "CONTENTS.tar" file instead of "CONTENTS.cpio".

Build lists:
https://abf.rosalinux.ru/build_lists/1222909
https://abf.rosalinux.ru/build_lists/1222908
Comment 2 Alexander Petryakov 2013-08-31 00:51:50 MSD
Is it correct that CONTENTS.cpio  has been showed as CONTENTS.tar in mc?
Comment 3 Alexander Burmashev 2013-08-31 01:08:45 MSD
This is exactly what advisory says.
Comment 4 Alexander Petryakov 2013-08-31 09:26:38 MSD
mc-4.8.10-2
************** Advisory **************
Added support for rpm packages with ustar payload to mc.

Now if you "enter" inside rpm with ustar payload, you should see "CONTENTS.tar" file instead of "CONTENTS.cpio".
**************************************
QA Verified